<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

require_once"../template/isset.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}
 
$id=(int)$id;
$time=time();

echo'<img src="../images/img/partners.gif" alt=""> <b>Доска объявлений</b><br><br>';  


if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="#FF0000">Приватное сообщение! ('.$privat.')</font></a></b><br>';}}
 

//------------------------ Вывод перечня категорий --------------------------------//
if(!isset($action)) {

/* if($config_themes!="wml"){echo '<a href="#down"><img src="../images/img/downs.gif" alt=""></a> ';}
echo'<a href="search.php?'.SID.'">Поиск</a><br><br>'; */

$lines = file("../local/databoard/database.dat");
$count_board = count($lines);
if (file_exists("../local/databoard/database.dat") && $count_board>0) {
	
	
for($i=0; $i<$count_board; $i++){
$dt = explode("|", $lines[$i]);	

$total=0;
if (file_exists("../local/databoard/$dt[2].dat")){
$file = file("../local/databoard/$dt[2].dat");
$total = count($file);}	

$lostboard = array_reverse($file);
$lostlist = explode("|",$lostboard[0]);

echo '<div class=b><img src="../images/img/forums.gif" alt=""> ';
echo '<b><a href="index.php?action=board&amp;id='.$dt[2].'&amp;'.SID.'">'.$dt[0].'</a></b> ('.(int)$total.')</div><div>'.$dt[1].'<br>';

if($total>0){
$lostlist[0]=utf_to_win($lostlist[0]);
if (strlen($lostlist[0])>36) {$lostlist[0]=substr($lostlist[0],0,30); $lostlist[0].="...";}
$lostlist[0]=win_to_utf($lostlist[0]);
echo 'Тема: <a href="index.php?action=view&amp;id='.$lostlist[5].'&amp;bid='.$lostlist[4].'&amp;'.SID.'">'.$lostlist[0].'</a><br>';
echo 'Объявление: <a href="../pages/anketa.php?uz='.$lostlist[1].'&amp;'.SID.'"> '.nickname($lostlist[1]).'</a> ('.$lostlist[3].')';
}else{echo '<b>Рубрика пуста, объявлений нет!</b>';}

echo '</div>';
}

}else{echo'<br><b>Доска объявлений пуста, рубрики еще не созданы!</b><br>';}


}

//------------------------ Вывод объявлений в текущей категории ---------------------------//
if($action=="board"){
if($config_themes!="wml"){echo '<a href="#down"><img src="../images/img/downs.gif" alt=""></a> ';}
echo '<a href="index.php?'.SID.'">Объявления</a> | ';
//echo '<a href="search.php?'.SID.'">Поиск</a> | ';
echo '<a href="add.php?id='.$id.'&amp;'.SID.'">Добавить</a><br><br>';

$total=0;
if (file_exists("../local/databoard/$id.dat")){
$lines = file("../local/databoard/$id.dat");
$total = count($lines);}

$li=file("../local/databoard/database.dat");
foreach($li as $k){
$dtu=explode("|",$k);
if($dtu[2]==$id){
echo '<b><img src="../images/img/themes.gif" alt=""> '.$dtu[0].'</b> ('.$dtu[1].')<hr>';
}}	

if ($total>0) {
//---------------Функция автоудаления--------------------//

for ($i = 0; $i < $total; $i++){		
$data = explode("|",$lines[$i]);
if($data[4]<$time){$delete++;}else{$newlines[]=$lines[$i];}
}

if($delete>0){
$newcount=count($newlines);		
$fp=fopen("../local/databoard/$id.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0; $i<$newcount; $i++) {fputs($fp,$newlines[$i]);}
fflush($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod($fp, 0777);
}  
//------------------------------------------------------//
$lines = file("../local/databoard/$id.dat");
$lines = array_reverse($lines);
$total = count($lines);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_boardspost){ $end = $total; }
else {$end = $start + $config_boardspost; }
for ($i = $start; $i < $end; $i++){	
	
$data = explode("|",$lines[$i]);


$data[2]=utf_to_win($data[2]);
if (strlen($data[2])>200) {
$newtext = wordwrap($data[2], 200, "|", 1); 
$textarray = explode('|',$newtext);
$data[2]=$textarray[0].'...';}
$data[2]=win_to_utf($data[2]);


echo '<div class=b><img src="../images/img/forums.gif" alt=""> '.($i+1).'. <b><a href="index.php?action=view&amp;id='.$id.'&amp;start='.$start.'&amp;bid='.$data[4].'&amp;'.SID.'">'.$data[0].'</a></b> ('.$data[3].')</div>';
echo '<div>Текст объявления: '.$data[2].'<br>';
echo 'Автор объявления: <a href="../pages/anketa.php?uz='.$data[1].'&amp;'.SID.'">'.nickname($data[1]).'</a><br>';
echo '</div>';	
	
}

echo'<hr>'; 
if ($start != 0) {echo '<a href="index.php?action=board&amp;id='.$id.'&amp;start='.($start - $config_boardspost).'&amp;'.SID.'">&lt;-Назад</a> ';}else{echo'&lt;-Назад';}
echo' | '; 
if ($total > $start + $config_boardspost) {echo ' <a href="index.php?action=board&amp;id='.$id.'&amp;start='.($start + $config_boardspost).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo'Далее-&gt;';}


if($total>0){
$ba=ceil($total/$config_boardspost);
$ba2=floor($total/$config_boardspost)*$config_boardspost;

echo '<br><hr>Страницы:';
$asd=$start-($config_boardspost*4);
$asd2=$start+($config_boardspost*5);

if($asd<$total && $asd>0){echo ' <a href="index.php?action=board&amp;id='.$id.'&amp;start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_boardspost);

if ($start==$i) {
echo ' <b>('.$ii.')</b>';
} else {
echo ' <a href="index.php?action=board&amp;id='.$id.'&amp;start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
}}

$i=$i+$config_boardspost;}
if($asd2<$total){echo ' ... <a href="index.php?action=board&amp;id='.$id.'&amp;start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';
}
}


}else{echo '<b>Объявлений еще нет, <a href="add.php?id='.$id.'&amp;'.SID.'">будь первым!</a></b><br>';}


echo'<br><br><img src="../images/img/back.gif" alt=""> <a href="index.php?'.SID.'">Вернуться</a>'; 	
}


//------------------------ Вывод объявлений в текущей категории ---------------------------//
if($action=="view"){
if($config_themes!="wml"){echo '<a href="#down"><img src="../images/img/downs.gif" alt=""></a> ';}
echo '<a href="index.php?'.SID.'">Объявления</a> | ';
//echo '<a href="search.php?'.SID.'">Поиск</a> | ';
echo '<a href="add.php?id='.$id.'&amp;'.SID.'">Добавить</a><br><br>';


$lines = file("../local/databoard/$id.dat");
if(file_exists("../local/databoard/$id.dat")){


foreach($lines as $k){
$dtu=explode("|",$k);
if($dtu[4]==$bid){
$errboard='ok';
echo '<b><img src="../images/img/themes.gif" alt=""> '.$dtu[0].'</b> ('.$dtu[3].')<br><br>';

echo 'Текст объявления: '.$dtu[2].'<br><br>';
echo 'Автор объявления: <a href="../pages/anketa.php?uz='.$dtu[1].'&amp;'.SID.'">'.nickname($dtu[1]).'</a><br>';
echo 'Информация для контакта: <a href="../pages/privat.php?action=submit&amp;uz='.$dtu[1].'&amp;'.SID.'">Приват</a><br>';
echo '<small>Дата удаления: <b>'.date("d.m.Y",$dtu[4]).'</b></small><br>';
}}

if($errboard!='ok'){echo '<b>Ошибка, такого объявления не существует!</b>';}

}else{echo '<b>Произошла ошибка, такой рубрики не существует!</b>';}

echo'<br><br><img src="../images/img/back.gif" alt=""> <a href="index.php?action=board&amp;id='.$id.'&amp;start='.$start.'&amp;'.SID.'">Вернуться</a>'; 	
}

echo'<br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
?>
